Name: vnc
Summary: Virtual Network Computing - Client
Version: 3.3.3
Release: 6mdk
Copyright: GPL
Source: vnc-3.3.3_unixsrc.tar.bz2
Source1: svnc-0.1.tar.bz2
Source3: vnc-latest_doc.tar.bz2
Patch0: vnc-path.patch.bz2
patch1: vnc-imake.patch.bz2
Group: Networking/Remote access
URL: http://www.uk.research.att.com/vnc
BuildRoot: %{_tmppath}/vnc_unixsrc-root

%description
The VNC system allows you to access the same desktop from a wide
variety of platforms.
This package is an X11 VNC client, permitting you to access the desktop of
other machines.

%ifnarch alpha sparc sparc64
%package SVGALIB
Summary: Virtual Network Computing - SVGALIB client
Requires: svgalib
Group: Networking/Remote access
%endif

%package server
Summary: Virtual Network Computing - Server
Requires: XFree86
Group: System/Servers

%package java
Summary: Java interface to VNC
Group: Networking/Remote access

%package doc
Summary: Documentation about VNC
Group: Networking/Remote access

%ifnarch alpha sparc sparc64
%description SVGALIB
The VNC system allows you to access the same desktop from a wide
variety of platforms.
This package is an SVGALIB VNC client, permitting you to access the desktop of
other machines.
%endif

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.
This package is a VNC server, allowing others to access the desktop on your
machine.

%description java
This package permits you to access the local VNC server using any java
compatible browser.

%description doc
The vnc-doc package contains documentation about VNC programs
Install the vnc-doc package if you need documentation about VNC.

%prep
%setup -n vnc_unixsrc -a 1 -a 3
%patch0 -p0
%patch1 -p0 -b .fred

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS" World
cd Xvnc
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS" World
cd ..
%ifnarch alpha sparc sparc64
cd svncviewer
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"
cd ..
%endif
rm -f vnc_docs/*~

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
./vncinstall $RPM_BUILD_ROOT/usr/bin
cd Xvnc
make DESTDIR="$RPM_BUILD_ROOT" install
%ifnarch alpha sparc sparc64
cp ../svncviewer/svncviewer $RPM_BUILD_ROOT/usr/bin
%endif
cd ..
mkdir -p $RPM_BUILD_ROOT/usr/share/vnc
cp -aR classes $RPM_BUILD_ROOT/usr/share/vnc/


# Install Doc
install -d $RPM_BUILD_ROOT/vnc_docs

%files
%defattr(755,root,root)
/usr/bin/vncviewer

%ifnarch alpha sparc sparc64
%files SVGALIB
%defattr(755,root,root)
/usr/bin/svncviewer
%endif

%files server
%defattr(755,root,root)
/usr/bin/vncpasswd
/usr/bin/vncserver
/usr/X11R6/bin/Xvnc

%files java
%defattr(-,root,root)
/usr/share/vnc/classes

%files doc
%defattr(644,root,root,755)
%doc vnc_docs/*

%changelog
* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.3.3-6mdk
- Fixed groups

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.3-5mdk
- Small fix for alpha to build.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-4mdk

- fixed build on sparc (and I hope on alpha too).

* Tue Jan  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-3mdk

- make rpmlint happy.
- apply patch0 ;-)
- remove the server-noX package.

* Mon Jan  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.3-2mdk

- fix owner of files.
- remove /usr/X11R6 from server-noX.
- compile under 7.0.

* Thu Dec 30 1999 Philippe Libat <philippe@mandrakesoft.com>
- [3.3.3]
- Added vnc-latest_doc

* Thu Jul  1 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- Rebuild for Mandrake distrib

* Thu Feb 11 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Add java interface

* Sat Feb 6 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- initial RPM
